{% extends "layout.html" %}

{% block head %}
{{ super() }}

   <script type="text/javascript" src="//player.wowza.com/player/latest/wowzaplayer.min.js"></script>
{% endblock %}


{% block content %}
<script type="text/javascript">
$(document).ready( function() {
	var url = new URL(window.location.href);
	var adresa = url.searchParams.get("adresa");
        console.log("Opening:" + adresa);
        var adresa =
	"https%3A%2F%2Fserver5.streaming.cesnet.cz%2Ftokamak.tv%2Ftokamak-live.stream%2Fplaylist.m3u8"






WowzaPlayer.create('playerElement',
    {
    "license":"PLAY1-hpkhp-vhFaK-endZ6-tB9aP-cVeu9",
    "title":"GOLEM tokamak Live",
    "description":"Live rendering of the GOLEM tokamak status provided by CESNET and Stream Circle",
    "sourceURL":adresa,
    "autoPlay":true,
    "volume":"75",
    "mute":false,
    "loop":false,
    "audioOnly":false,
    "uiShowQuickRewind":true,
    "uiQuickRewindSeconds":"30",
    "posterFrameURL":"{{ url_for('static', filename='img/promo_logos.png') | urlencode }}",
    "endPosterFrameURL":"",
    "uiBackgroundColor":"white",
    "uiPosterFrameFillMode":"fit"
    }
);

});


</script>


<div style="width:100%; max-width:80%;" class="center-block">
    <div id="playerElement" style="width:100%; height:0; padding:0 0 56.25% 0"></div>
</div>


{% endblock %}
